Show hidden lines in shaded button?

Anyone got a button/macro that can toggle the hidden lines in shaded mode? I don't see a standard button to do this and don't want to have to change my options every time.

Todd tbennett>removethis

Reply to
T Bennett
Loading thread data ...

The only time I needed this, I ended up overlaying two identical views.

Also, when I want a PDF with vector edges and shaded parts, it is necessary to overlay views. Shaded views show up in PDF's as bitmaps.

Reply to
That70sTick

How about this:

'*** Beginning of Code *** Option Explicit Dim swApp As Object Dim swModel As Object Sub main() Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc

If swApp.GetUserPreferenceIntegerValue(swEdgesShadedModeDisplay) = swEdgesShadedModeDisplayHLR Then swApp.SetUserPreferenceIntegerValue (swEdgesShadedModeDisplay), swEdgesShadedModeDisplayWireframe Else swApp.SetUserPreferenceIntegerValue (swEdgesShadedModeDisplay), swEdgesShadedModeDisplayHLR End If

swModel.ForceRebuild End Sub '*** End of Code ***

Later, Ken

Reply to
Tin Man

I cannot believe I have the answer for this. Usually I only learn and never contribute because I am so stupid.

Go to "Tools\Options\System Options\Display-Selection" and under "Edge display in shaded with edges mode" uncheck "HLR" (hidden lines removed) and check "Wireframe"

I think this will give you what you want.

Timelord

Reply to
kim.krubsack

PolyTech Forum website is not affiliated with any of the manufacturers or service providers discussed here. All logos and trade names are the property of their respective owners.